com.verisign.epp.codec.org

## Class EPPOrgCreateResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.org.EPPOrgCreateResp

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPOrgCreateResp
      extends EPPResponse

  Represents an EPP Internationalized Domain Name (IDN) Table <info> response, which support three different forms:
  - Domain Info Form - Used to validate the domain name code points against the IDN Tables and IDN Policies, and to return the matching IDN Table meta-data.
  - Table Info Form - Used to retrieve information associated with an IDN Table object.
  - List Info Form - Used to retrieve the list of IDN Tables supported by the server.
  `EPPOrgInfoCmd` is the concrete `EPPCommand` associated with `EPPOrgInfoCmd`.
  See Also:
    `EPPOrgCreateResp`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPOrgCreateResp`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPOrgCreateResp`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPOrgCreateResp()` `EPPOrgCreateResp` default constructor.
    `EPPOrgCreateResp(EPPTransId aTransId)` `EPPOrgCreateResp` constructor that only takes the transaction identifier.
    `EPPOrgCreateResp(EPPTransId aTransId, java.lang.String aOrgId, java.util.Date aCreatedDate)` `EPPOrgCreateResp` constructor that all attributes as parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPOrgCreateResp`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPOrgCreateResp` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPOrgCreateResp` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPOrgCreateResp` with this instance.
    `java.util.Date` | `getCreatedDate()`
    `java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPOrgCreateResp`.
    `java.lang.String` | `getOrgId()` Gets the the server-unique identifier of the organization object.
    `java.lang.String` | `getType()` Gets the EPP response type associated with `EPPOrgCreateResp`.
    `void` | `setCreatedDate(java.util.Date aCreatedDate)`
    `void` | `setOrgId(java.lang.String aOrgId)` Sets the org identifier.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPOrgCreateResp`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPOrgCreateResp`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPOrgCreateResp

          public EPPOrgCreateResp()

      `EPPOrgCreateResp` default constructor.

    - #### EPPOrgCreateResp

          public EPPOrgCreateResp(EPPTransId aTransId)

      `EPPOrgCreateResp` constructor that only takes the transaction identifier.
      Parameters:
        `aTransId` - Transaction Id associated with response.

    - #### EPPOrgCreateResp

          public EPPOrgCreateResp(EPPTransId aTransId,
                                  java.lang.String aOrgId,
                                  java.util.Date aCreatedDate)

      `EPPOrgCreateResp` constructor that all attributes as parameters.
      Parameters:
        `aTransId` - Transaction Id associated with command. Set to `null` if a client transaction identifier is not desired.
        `aOrgId` - Org identifier
        `aCreatedDate` - Org created date

  - ### Method Detail

    - #### getOrgId

          public java.lang.String getOrgId()

      Gets the the server-unique identifier of the organization object.
      Returns:
        The the server-unique identifier of the organization object if defined;`null` otherwise.

    - #### setOrgId

          public void setOrgId(java.lang.String aOrgId)

      Sets the org identifier.
      Parameters:
        `aOrgId` - The org identifier

    - #### getCreatedDate

          public java.util.Date getCreatedDate()

      Returns:
        the createdDate

    - #### setCreatedDate

          public void setCreatedDate(java.util.Date aCreatedDate)

      Parameters:
        `aCreatedDate` - the createdDate to set

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPOrgCreateResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the EPPOrgCreateResp instance.
      Throws:
        `EPPEncodeException` - Unable to encode EPPOrgCreateResp instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPOrgCreateResp` attributes from the aElement DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPOrgCreateResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPOrgCreateResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPOrgCreateResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getType

          public java.lang.String getType()

      Gets the EPP response type associated with `EPPOrgCreateResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        `EPPOrgCreateResp.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command namespace associated with `EPPOrgCreateResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPOrgMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPOrgCreateResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.